Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000817Frama-CKernelpublic2011-05-10 21:342014-02-12 16:59
Reporterpascal 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000817: r13378, assertion failed with bit-fields
Description~/ppc/bin/toplevel.opt -cpp-command "gcc -C -E -I runtime" -machdep x86_64 noresult.10212234.10.c

[kernel] preprocessing with "gcc -C -E -I runtime noresult.10212234.10.c"
[kernel] error occurring when exiting Frama-C: stopping exit procedure.
         The full backtrace is:
         Called from file "cil/src/cil.ml", line 8478, characters 16-36
         Called from file "cil/src/frontc/cabs2cil.ml", line 5565, characters 26-54
         Called from file "cil/src/frontc/cabs2cil.ml", line 4923, characters 34-64
         Called from file "cil/src/frontc/cabs2cil.ml", line 5843, characters 20-48
         Called from file "cil/src/frontc/cabs2cil.ml", line 7477, characters 28-61
         Called from file "cil/src/frontc/cabs2cil.ml", line 7382, characters 25-48
         Called from file "list.ml", line 74, characters 24-34
         Called from file "cil/src/frontc/cabs2cil.ml", line 7371, characters 9-1023
         Called from file "cil/src/frontc/cabs2cil.ml", line 7495, characters 16-34
         Called from file "cil/src/frontc/cabs2cil.ml", line 7557, characters 17-40
         Called from file "cil/src/frontc/cabs2cil.ml", line 7382, characters 25-48
         Called from file "list.ml", line 74, characters 24-34
         Called from file "cil/src/frontc/cabs2cil.ml", line 7371, characters 9-1023
         Called from file "cil/src/frontc/cabs2cil.ml", line 7052, characters 14-321
         Called from file "cil/src/frontc/cabs2cil.ml", line 7930, characters 12-31
         Called from file "list.ml", line 69, characters 12-15
         Called from file "cil/src/frontc/cabs2cil.ml", line 7962, characters 2-26
         Called from file "cil/src/frontc/frontc.ml", line 171, characters 14-36
         Called from file "src/kernel/file.ml", line 747, characters 27-46
         Called from file "src/kernel/file.ml", line 796, characters 16-23
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/kernel/file.ml", line 793, characters 6-318
         Called from file "src/kernel/file.ml", line 1276, characters 12-30
         Called from file "src/kernel/file.ml", line 1361, characters 4-27
         Called from file "src/kernel/ast.ml", line 60, characters 2-28
         Called from file "src/kernel/ast.ml", line 67, characters 53-71
         Called from file "queue.ml", line 134, characters 6-20
         Called from file "src/kernel/cmdline.ml", line 174, characters 6-23
         
         Unexpected error (File "cil/src/cil.ml", line 8462, characters 16-22: Assertion failed).
         Please report as 'crash' at http://bts.frama-c.com/. [^]
         Your Frama-C version is Carbon-20110201+dev.
TagsNo tags attached.
Attached Filestgz file icon bitf.tgz [^] (41,814 bytes) 2011-05-10 21:34

- Relationships
has duplicate 0000830closedpascal unsigned :32 bitfield assertion at another location 

-  Notes
(0001859)
pascal (reporter)
2011-05-10 21:37

This is with 64-bit pre-processing.
(0001860)
monate (reporter)
2011-05-10 23:22

Nice catch: no one had ever tested a 32 bits bitfield on a platform where int are 32 bits. Same bug happens with machdep x86_32.
(0004794)
monate (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-05-10 21:34 pascal New Issue
2011-05-10 21:34 pascal File Added: bitf.tgz
2011-05-10 21:37 pascal Note Added: 0001859
2011-05-10 21:38 pascal Assigned To => monate
2011-05-10 21:38 pascal Status new => assigned
2011-05-10 21:38 pascal Description Updated
2011-05-10 23:22 monate Note Added: 0001860
2011-05-10 23:22 svn Checkin
2011-05-10 23:22 svn Status assigned => resolved
2011-05-10 23:22 svn Resolution open => fixed
2011-05-20 16:17 virgile Relationship added has duplicate 0000830
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 monate Note Added: 0004794
2014-02-12 16:59 monate Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker